org.kie.api.runtime.manager

## Interface RuntimeEnvironmentBuilderFactory

- All Known Implementing Classes:
    RuntimeEnvironmentBuilder.Factory

      public interface RuntimeEnvironmentBuilderFactory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RuntimeEnvironmentBuilder` | `newClasspathKmoduleDefaultBuilder()` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself.
    `RuntimeEnvironmentBuilder` | `newClasspathKmoduleDefaultBuilder(String kbaseName, String ksessionName)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself.
    `RuntimeEnvironmentBuilder` | `newDefaultBuilder()` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment
    `RuntimeEnvironmentBuilder` | `newDefaultBuilder(ReleaseId releaseId)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
    `RuntimeEnvironmentBuilder` | `newDefaultBuilder(ReleaseId releaseId, String kbaseName, String ksessionName)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
    `RuntimeEnvironmentBuilder` | `newDefaultBuilder(String groupId, String artifactId, String version)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
    `RuntimeEnvironmentBuilder` | `newDefaultBuilder(String groupId, String artifactId, String version, String kbaseName, String ksessionName)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
    `RuntimeEnvironmentBuilder` | `newDefaultInMemoryBuilder()` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment but it does not have persistence for process engine configured so it will only store process instances in memory
    `RuntimeEnvironmentBuilder` | `newEmptyBuilder()` Provides completely empty `RuntimeEnvironmentBuilder` instance that allows to manually set all required components instead of relying on any defaults.

- - ### Method Detail

    - #### newEmptyBuilder

          RuntimeEnvironmentBuilder newEmptyBuilder()

      Provides completely empty `RuntimeEnvironmentBuilder` instance that allows to manually set all required components instead of relying on any defaults.
      Returns:
        new instance of `RuntimeEnvironmentBuilder`

    - #### newDefaultBuilder

          RuntimeEnvironmentBuilder newDefaultBuilder()

      Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
      - DefaultRuntimeEnvironment
      Returns:
        new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults see DefaultRuntimeEnvironment

    - #### newDefaultInMemoryBuilder

          RuntimeEnvironmentBuilder newDefaultInMemoryBuilder()

      Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
      - DefaultRuntimeEnvironment
      but it does not have persistence for process engine configured so it will only store process instances in memory
      Returns:
        new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults see DefaultRuntimeEnvironment

    - #### newDefaultBuilder

          RuntimeEnvironmentBuilder newDefaultBuilder(String groupId,
                                                      String artifactId,
                                                      String version)

      Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
      - DefaultRuntimeEnvironment
      This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
      Parameters:
        `groupId` - group id of kjar
        `artifactId` - artifact id of kjar
        `version` - version number of kjar
      Returns:
        new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults see DefaultRuntimeEnvironment

    - #### newDefaultBuilder

          RuntimeEnvironmentBuilder newDefaultBuilder(String groupId,
                                                      String artifactId,
                                                      String version,
                                                      String kbaseName,
                                                      String ksessionName)

      Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
      - DefaultRuntimeEnvironment
      This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
      Parameters:
        `groupId` - group id of kjar
        `artifactId` - artifact id of kjar
        `version` - version number of kjar
        `kbaseName` - name of the kbase defined in kmodule.xml stored in kjar
        `ksessionName` - name of the ksession define in kmodule.xml stored in kjar
      Returns:
        new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults see DefaultRuntimeEnvironment

    - #### newDefaultBuilder

          RuntimeEnvironmentBuilder newDefaultBuilder(ReleaseId releaseId)

      Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
      - DefaultRuntimeEnvironment
      This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
      Parameters:
        `releaseId` - `ReleaseId` that described the kjar
      Returns:
        new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults see DefaultRuntimeEnvironment

    - #### newDefaultBuilder

          RuntimeEnvironmentBuilder newDefaultBuilder(ReleaseId releaseId,
                                                      String kbaseName,
                                                      String ksessionName)

      Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
      - DefaultRuntimeEnvironment
      This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
      Parameters:
        `releaseId` - `ReleaseId` that described the kjar
        `kbaseName` - name of the kbase defined in kmodule.xml stored in kjar
        `ksessionName` - name of the ksession define in kmodule.xml stored in kjar
      Returns:
        new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults see DefaultRuntimeEnvironment

    - #### newClasspathKmoduleDefaultBuilder

          RuntimeEnvironmentBuilder newClasspathKmoduleDefaultBuilder()

      Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
      - DefaultRuntimeEnvironment
      It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself. Expects to use default kbase and ksession from kmodule.
      Returns:
        new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults see DefaultRuntimeEnvironment

    - #### newClasspathKmoduleDefaultBuilder

          RuntimeEnvironmentBuilder newClasspathKmoduleDefaultBuilder(String kbaseName,
                                                                      String ksessionName)

      Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
      - DefaultRuntimeEnvironment
      It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself.
      Parameters:
        `kbaseName` - name of the kbase defined in kmodule.xml
        `ksessionName` - name of the ksession define in kmodule.xml
      Returns:
        new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults see DefaultRuntimeEnvironment

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.